@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,200;0,300;0,400;0,500;0,600;0,800;1,300;1,400;1,500;1,800&display=swap');

html, body {font-family: 'Poppins', sans-serif !important; width: auto!important; overflow-x: hidden!important; font-size:0.95rem;} 

body{
  overflow-x:hidden;
}

a{
  text-decoration:none;
  color:#fff;
}

a:hover{
  text-decoration:none;
}

iframe {
  border: none;
}

.visually-hidden, .visually-hidden-focusable:not(:focus):not(:focus-within) {
  position: absolute!important;
  width: 1px!important;
  height: 1px!important;
  padding: 0!important;
  margin: -1px!important;
  overflow: hidden!important;
  clip: rect(0,0,0,0)!important;
  white-space: nowrap!important;
  border: 0!important;
}

.img {
  max-width:100%;
}

.margin-auto{
  margin-left:auto;
  margin-right:auto;
}

/* ===== Scrollbar CSS ===== */
  /* Firefox */
  * {
    scrollbar-width: auto;
    scrollbar-color: #1f3d7b #000000;
  }

  /* Chrome, Edge, and Safari */
  *::-webkit-scrollbar {
    width: 16px;
  }

  *::-webkit-scrollbar-track {
    background: #000000;
  }

  *::-webkit-scrollbar-thumb {
    background-color: #1f3d7b;
    border-radius: 0px;
    border: 0px none #ffffff;
  }

/* STANDARD TEXT */
.smallTitle{
  font-size:.7rem;
}

.lightTitle{
  font-size:1.1rem;
  font-weight:200;
  letter-spacing:.1rem;
}

.mediumDarkTitle{
  font-size:1rem;
  font-weight:600;
  letter-spacing:1px;
  color:#1b3e90;
}

.mediumTitle{
  font-size:.7rem;
  font-weight:500;
  letter-spacing:1px;
  color:#fff;
}

.darkTitle{
  font-size:1.5rem;
  font-weight:300;
  letter-spacing:.2rem;
  color:#1b3e90;
}

.smallDarkTitle{
  font-size:.7rem;
  font-weight:300;
  letter-spacing:.1rem;
  color:#1b3e90;
}

.tinyText{
  font-size:.6rem;
  
}

.lightGrayHR{
  border-top:solid 1px #282828;
}
.thickHR{
  border-top:solid 3px #000;
  margin-top:0px;
}

.blueHR{
  border-top:solid 4px #1b3e90;
}
.blu-cru__input--invalid{
  border: 2px solid #1b3e90;
  background: #1b3e9080;
  color: #ffffff;
}
.blu-cru__input--invalid-msg{
  margin-top: 5px;
  font-size: 12px;
  color: red;
}
input.vin{
  text-transform: uppercase;
}

.blueHRthin{
  border-top:solid 1px #1b3e90;
}

.darkLink{
  color:#1b3e90;
}

.darkLink:hover{
  color:#000;
}

.darkText{
  color:#555;
}

.featureText{
  line-height:13pt;
  font-size:.8rem;
}

.bold{
  font-weight:600;
}

.uppercase{
  text-transform:uppercase;
}

/* HERO SECTION */
.heroSection{
  height:100vh;
}

.bd-placeholder-img {
  font-size: 1.125rem;
  text-anchor: middle;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.fullScreen{
  height:100vh;
  min-height:800px;
  height: calc(var(--vh, 1vh) * 100);
  margin: 0 auto;
  width:100vw;

}

.productMenu {
  display: none
  }

.swiper {
  height:100vh;
  width:100vw;
  width:100%;
}
.swiper-slide {
  text-align: center;
  font-size: 18px;
  background: #fff;

  /* Center slide text vertically */
  display: -webkit-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  top:-80;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
  align-items: center;
}

.swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.btn-blue{
  background-color: #1b3e90;
    color: #fff;
    padding: 15px;
    max-width: 90%;
    min-width: 250px;
    font-size: .8em;
    letter-spacing: 1px;
    border-radius: 0px;
    margin-top:2.5px;
    margin-bottom:2.5px;
}

.btn-black{
  background-color: #000;
    color: #fff;
    padding: 15px;
    max-width: 90%;
    min-width: 250px;
    font-size: .8em;
    letter-spacing: 1px;
    border-radius: 0px;
    margin-top:2.5px;
    margin-bottom:2.5px;
}

.btn-outline{
  background-color: transparent;
  border: solid 2px #fff;
    color: #fff;
    padding: 15px;
    max-width:90%;
    min-width:150px;
    font-size: .8em;
    letter-spacing: 1px;
    border-radius: 0px;
    margin-top:2.5px;
    margin-bottom:2.5px;
}

.btn-outline:hover{
  border:solid 2px #1b3e90;
  color:#1b3e90;
}

.btn-black:hover{
  background-color:#1b3e90;
  color:#fff;
}

.btn-white{
  background-color:#fff;
  color:#1b3e90;
  max-width:90%;
  min-width:150px;
  padding:15px;
  font-size:.8em;
  letter-spacing:1px;
  border-radius:0px;
}

.btn-white:hover{
  background-color:#1b3e90;
  color:#fff;
}

.btn-blue:hover{
  color:#1b3e90;
  background-color:#fff;
}

.btn-outline-dark{
  background-color: transparent;
  border: solid 2px #1b3e90;
    color: #1b3e90;
    padding: 15px;
    max-width:90%;
    min-width:150px;
    font-size: .8em;
    letter-spacing: 1px;
    border-radius: 0px;
    margin-top:2.5px;
    margin-bottom:2.5px;
}
.accessories{
  text-align:left;
}

.megatron{
  position:relative;
  overflow:hidden;
  height:100vh;
  width:100vw;
}

.megatronVideo{
  position: absolute;
    height: 100%;
    width: 177.7777778vh;
    min-width: 100%;
    min-height: 56.25vw;
    left: 50%;
    right: 50%;
    transform: translate(-50%);
}

.megatronOverlay{
  position:absolute;
  height:100%;
  width:100%;
  left:50%;
  right:50%;
  transform:translate(-50%,40%);
  z-index:2000;
}

.megatronWatermarkDiv{
    position: absolute;
    z-index: 5;
    text-align: center;
    width: 100vw;
    height: 100vh;
    top: 25%;
    z-index:1600;
}

.megatronWatermarkImg{
  width: 400px !important;
  height: auto !important;
  margin-left: auto;
  margin-right: auto;
}

.darkOverlay{
  background:radial-gradient(black,transparent);
  position:absolute;
  width:100%;
  height:100%;
  z-index:1500;
  top:0px;
  bottom:0px;

}

.scroll-icon{
  position:absolute;
  top:90%;
  z-index:2999;
  text-align:center;
  width:100vw;
}

.productIcon{
  width:200px;
  height:auto;
  margin-left:auto;
  margin-right:auto;
  display:block;
  max-width:100%;
}

.embed-youtube {
  position: relative;
  padding-bottom: 56.25%;
  padding-top: 30px;
  height: 0;
  overflow: hidden;
  background-color:#000; -webkit-box-shadow:0px 0px 18px 0px rgba(0,0,0,0.75);
}

.embed-youtube iframe,
.embed-youtube object,
.embed-youtube embed {
  border: 0;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.eventBlock-wide{
  height:250px;
}

.dropShadow{
  box-shadow:0px 0px 18px 0px rgba(0,0,0,0.75);
  -webkit-box-shadow:0px 0px 18px 0px rgba(0,0,0,0.75);
}

.white{
  color:#fff !important;
}

.dropShadow-text{
  text-shadow: 0px 0px 5px #000;
}

.videoPadding{
  padding:75px;
}

.hoverBounce{
  transition:0.3s;
}

.hoverBounce:hover{
  transform: translate(0, -10px);
}

.yamaha-pill{
  background-color: #1b3e90;
    padding: 10px;
    font-weight: 300;
    font-size: .6em;
    color:#fff;
    margin:5px;
}

.pill-button{
  background-color:#1b3e90;
  padding:10px;
  font-weight:300;
  font-size:.8em;
  color:#fff;
  border:none;
  outline:inherit;
}

.pill-button:hover{
  background-color:#fff;
  color:#1b3e90;
}

.pill-button:selected{
  background-color:#fff;
  color:#1b3e90;
}

.card-title{
  font-size:1rem;
  font-weight:500;
  letter-spacing:2px;
  color:#555;
  text-transform:uppercase;
}

.card-date{
  color:#1b3e90;
  font-size:.7rem;
  font-weight:600;
  letter-spacing:1px;
  text-transform:uppercase;
}

.card-info{
  font-size:.7rem;
  font-weight:200;
  letter-spacing:1px;
  line-height:normal;
  text-transform:uppercase;
}

.is-checked{
  border:solid 1px #fff;
}
.yamaha-card{
  box-sizing:border-box;
  border:solid 1px #000;
}
.yamaha-card:hover{
  border:solid 1px #fff;
  cursor:pointer;
}

.icon{
  width:25px;
  height:auto;
}

.blur{
  filter:blur(10px);
}

.background{
  position:fixed;
  z-index:0;
  top:0px;
  left:0px;
}

.text-right{
  text-align:right;
}

.text-left{
  text-align:left;
}

.large{
  font-size:2.4rem;
}

.centerVertically{
  position:absolute;
  top:50%;
  left:50%;
  transform: translate(-50%, -50%);
}

/* LIGHT BOX STYLES */

.lightBox{
  height:350px;
}

/* VIDEO On DEMAND STYLES */
.videoBox{
  background-color:transparent;
  color:#fff;
  width:200px !important;
  height:300px !important;
  border-radius:10px;
  cursor:pointer;
}

.borderHighlight{
  box-sizing:border-box;
  border:solid 2px transparent;
}

.borderHighlight:hover{
  border:solid 2px #fff;
}

.vod_megatron{
  position: absolute;
    overflow: hidden;
    height: 80vh;
    width: 100vw;
    top: 0px;
    left: 0px;
}

.vod_megatron:after{
    content:'';
    position:absolute;
    left:0; top:0;
    width:100%; height:100%;
    display:inline-block;
    background: rgb(0,0,0);
    background: -moz-linear-gradient(90deg, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 100%);
    background: -webkit-linear-gradient(90deg, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 100%);
    background: linear-gradient(90deg, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#000000",endColorstr="#000000",GradientType=1);
}

.transparentBG{
  background-color:transparent !important;
}

.xs-only{
  display:none;
}

.form-control{
  border-radius:0px !important;
}

.product_logo_watermark{
  position:absolute;
  right:15px;
  bottom:15px;
}

.feature_padding{
  padding:100px;
}

.gm-style .gm-style-iw-c{
  min-width:350px !important;
  border-radius:0px !important;
  border-top:solid 5px #1b3e90;
  text-align:center;
}

a.gm-style{
  color:#555;
}

a.gm-style-iw-c{
  color:#555;
}

/* Remove arrows on inputs */
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

@media (min-width: 768px) {
  .bd-placeholder-img-lg {
    font-size: 3.5rem;
  }

}

@media (max-width: 768px){
  .feature_padding{
    padding:50px;
  }
  .accessories{
    text-align:center;
  }

  .megatronWatermarkImg{
    width:300px !important;
  }

  .scroll-icon{
    display:none;
  }

  .eventBlock-wide{
    height:initial;
    min-height:400px;
  }

  .videoPadding{
    padding:75px 20px;
  }

  .hidden-xs{
    display:none;
  }

  .xs-only{
    display:inline-block;
  }

  .text-right{
    text-align:center !important;
  }

  .text-left{
    text-align:center !important;
  }

  .videoBox{
    width:100px !important;
    height:150px !important;
    border-radius:5px;
  }
}